io.vertx.reactivex.db2client

## Class DB2Connection

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.SqlConnection
    - - io.vertx.reactivex.db2client.DB2Connection

-     public class DB2Connection
      extends SqlConnection

  A connection to DB2 server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DB2Connection>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Connection(DB2Connection delegate)`
    `DB2Connection(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DB2Connection` | `cast(SqlConnection sqlConnection)` Cast a to `DB2Connection`.
    `DB2Connection` | `closeHandler(Handler<Void> handler)` Set an handler called when the connection is closed.
    `static void` | `connect(Vertx vertx, DB2ConnectOptions connectOptions)` Create a connection to DB2 server with the given `connectOptions`.
    `static void` | `connect(Vertx vertx, DB2ConnectOptions connectOptions, Handler<AsyncResult<DB2Connection>> handler)` Create a connection to DB2 server with the given `connectOptions`.
    `static void` | `connect(Vertx vertx, String connectionUri)` Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
    `static void` | `connect(Vertx vertx, String connectionUri, Handler<AsyncResult<DB2Connection>> handler)` Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
    `DB2Connection` | `debug()` Send a DEBUG command to dump debug information to the server's stdout.
    `DB2Connection` | `debug(Handler<AsyncResult<Void>> handler)` Send a DEBUG command to dump debug information to the server's stdout.
    `boolean` | `equals(Object o)`
    `DB2Connection` | `exceptionHandler(Handler<Throwable> handler)` Set an handler called with connection errors.
    `DB2Connection` | `getDelegate()`
    `int` | `hashCode()`
    `static DB2Connection` | `newInstance(DB2Connection arg)`
    `DB2Connection` | `ping()` Send a PING command to check if the server is alive.
    `DB2Connection` | `ping(Handler<AsyncResult<Void>> handler)` Send a PING command to check if the server is alive.
    `DB2Connection` | `prepare(String sql)` Create a prepared statement using the given `sql` string.
    `DB2Connection` | `prepare(String sql, Handler<AsyncResult<PreparedStatement>> handler)` Create a prepared statement using the given `sql` string.
    `static Single<DB2Connection>` | `rxConnect(Vertx vertx, DB2ConnectOptions connectOptions)` Create a connection to DB2 server with the given `connectOptions`.
    `static Single<DB2Connection>` | `rxConnect(Vertx vertx, String connectionUri)` Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
    `Completable` | `rxDebug()` Send a DEBUG command to dump debug information to the server's stdout.
    `Completable` | `rxPing()` Send a PING command to check if the server is alive.
    `Single<PreparedStatement>` | `rxPrepare(String sql)` Create a prepared statement using the given `sql` string.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlConnection

      `begin, begin, close, close, databaseMetadata, isSSL, newInstance, prepare, prepare, rxBegin, rxClose, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `newInstance, preparedQuery, preparedQuery, query`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DB2Connection> __TYPE_ARG

  - ### Constructor Detail

    - #### DB2Connection

          public DB2Connection(DB2Connection delegate)

    - #### DB2Connection

          public DB2Connection(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public DB2Connection getDelegate()

      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### connect

          public static void connect(Vertx vertx,
                                     DB2ConnectOptions connectOptions,
                                     Handler<AsyncResult<DB2Connection>> handler)

      Create a connection to DB2 server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
        `handler` - the handler called with the connection or the failure

    - #### connect

          public static void connect(Vertx vertx,
                                     DB2ConnectOptions connectOptions)

      Create a connection to DB2 server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection

    - #### rxConnect

          public static Single<DB2Connection> rxConnect(Vertx vertx,
                                                        DB2ConnectOptions connectOptions)

      Create a connection to DB2 server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:

    - #### connect

          public static void connect(Vertx vertx,
                                     String connectionUri,
                                     Handler<AsyncResult<DB2Connection>> handler)

      Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `handler` -

    - #### connect

          public static void connect(Vertx vertx,
                                     String connectionUri)

      Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -

    - #### rxConnect

          public static Single<DB2Connection> rxConnect(Vertx vertx,
                                                        String connectionUri)

      Like `connect(io.vertx.reactivex.core.Vertx, io.vertx.db2client.DB2ConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.db2client.DB2Connection>>)` with options build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### prepare

          public DB2Connection prepare(String sql,
                                       Handler<AsyncResult<PreparedStatement>> handler)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `sql` - the sql
        `handler` - the handler notified with the prepared query asynchronously
      Returns:

    - #### prepare

          public DB2Connection prepare(String sql)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `sql` - the sql
      Returns:

    - #### rxPrepare

          public Single<PreparedStatement> rxPrepare(String sql)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `rxPrepare` in class `SqlConnection`
      Parameters:
        `sql` - the sql
      Returns:

    - #### exceptionHandler

          public DB2Connection exceptionHandler(Handler<Throwable> handler)

      Description copied from class: `SqlConnection`
      Set an handler called with connection errors.
      Overrides:
        `exceptionHandler` in class `SqlConnection`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### closeHandler

          public DB2Connection closeHandler(Handler<Void> handler)

      Description copied from class: `SqlConnection`
      Set an handler called when the connection is closed.
      Overrides:
        `closeHandler` in class `SqlConnection`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### ping

          public DB2Connection ping(Handler<AsyncResult<Void>> handler)

      Send a PING command to check if the server is alive.
      Parameters:
        `handler` - the handler notified when the server responses to client
      Returns:
        a reference to this, so the API can be used fluently

    - #### ping

          public DB2Connection ping()

      Send a PING command to check if the server is alive.
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPing

          public Completable rxPing()

      Send a PING command to check if the server is alive.
      Returns:
        a reference to this, so the API can be used fluently

    - #### debug

          public DB2Connection debug(Handler<AsyncResult<Void>> handler)

      Send a DEBUG command to dump debug information to the server's stdout.
      Parameters:
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### debug

          public DB2Connection debug()

      Send a DEBUG command to dump debug information to the server's stdout.
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxDebug

          public Completable rxDebug()

      Send a DEBUG command to dump debug information to the server's stdout.
      Returns:
        a reference to this, so the API can be used fluently

    - #### cast

          public static DB2Connection cast(SqlConnection sqlConnection)

      Cast a to `DB2Connection`. This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.
      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`

    - #### newInstance

          public static DB2Connection newInstance(DB2Connection arg)

Copyright © 2024 Eclipse. All rights reserved.